Mailinglist Archive: opensuse-updates (112 mails)

< Previous Next >
openSUSE-SU-2017:1275-1: Security update for rzip
openSUSE Security Update: Security update for rzip
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:1275-1
Rating: low
References: #1036941
Cross-References: CVE-2017-8364
Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update for rzip fixes the following issues:

- CVE-2017-8364: heap-based buffer overflow in read_buf function via
crafted archive file could lead to crash (boo#1036941)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-571=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-571=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

rzip-2.1-151.3.1
rzip-debuginfo-2.1-151.3.1
rzip-debugsource-2.1-151.3.1

- openSUSE Leap 42.1 (i586 x86_64):

rzip-2.1-151.1
rzip-debuginfo-2.1-151.1
rzip-debugsource-2.1-151.1


References:

https://www.suse.com/security/cve/CVE-2017-8364.html
https://bugzilla.suse.com/1036941


< Previous Next >
This Thread
  • No further messages